'use client'
import {STORAGE_KEYS, nextLocalStorage} from '@/utils';

export function useLocalStorage() {
    const browserStoreVersion = nextLocalStorage.getItem(STORAGE_KEYS.PORTAL_APP_STORE_VERSION);
    const setBrowserStoreVersion = (val) => nextLocalStorage.setItem(STORAGE_KEYS.PORTAL_APP_STORE_VERSION, val);
    const clearLocalStorage = () => nextLocalStorage.clear();

    return {
        browserStoreVersion,
        setBrowserStoreVersion,
        clearLocalStorage,
    }
}
